Bug 585052 - SELinux is preventing /sbin/unix_chkpwd "read" access on /etc/shadow.
SELinux is preventing /sbin/unix_chkpwd "read" access on /etc/shadow.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:93a0d09de35...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 21:28 EDT by Josh
Modified: 2010-04-27 23:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 23:06:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh 2010-04-22 21:28:00 EDT
Summary:

SELinux is preventing /sbin/unix_chkpwd "read" access on /etc/shadow.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by unix_chkpwd. It is not expected that this
access is required by unix_chkpwd and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                staff_u:sysadm_r:sysadm_t:s0-s15:c0.c1023
Target Context                system_u:object_r:shadow_t:s0
Target Objects                /etc/shadow [ file ]
Source                        unix_chkpwd
Source Path                   /sbin/unix_chkpwd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           pam-1.1.1-2.el6
Target RPM Packages           setup-2.8.14-1.el6
Policy RPM                    selinux-policy-3.7.17-5.el6
Selinux Enabled               True
Policy Type                   mls
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32-19.el6.i686 #1 SMP Tue Mar 9
                              18:10:40 EST 2010 i686 i686
Alert Count                   2
First Seen                    Thu 22 Apr 2010 09:25:32 PM EDT
Last Seen                     Thu 22 Apr 2010 09:25:32 PM EDT
Local ID                      7e7e9ecf-c6e2-47ce-a92e-1b448b1e272a
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1271985932.586:21919): avc:  denied  { read } for  pid=2709 comm="unix_chkpwd" name="shadow" dev=dm-1 ino=1837769 scontext=staff_u:sysadm_r:sysadm_t:s0-s15:c0.c1023 tcontext=system_u:object_r:shadow_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1271985932.586:21919): avc:  denied  { open } for  pid=2709 comm="unix_chkpwd" name="shadow" dev=dm-1 ino=1837769 scontext=staff_u:sysadm_r:sysadm_t:s0-s15:c0.c1023 tcontext=system_u:object_r:shadow_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1271985932.586:21919): arch=40000003 syscall=5 success=yes exit=3 a0=4c5149 a1=80000 a2=1b6 a3=4c50e5 items=0 ppid=2708 pid=2709 auid=2081 uid=0 gid=100 euid=0 suid=0 fsuid=0 egid=100 sgid=100 fsgid=100 tty=pts0 ses=6 comm="unix_chkpwd" exe="/sbin/unix_chkpwd" subj=staff_u:sysadm_r:sysadm_t:s0-s15:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.7.17-5.el6,catchall,unix_chkpwd,sysadm_t,shadow_t,file,read
audit2allow suggests:

#============= sysadm_t ==============
allow sysadm_t shadow_t:file { read open };
Comment 1 Daniel Walsh 2010-04-23 10:50:32 EDT
Which application were you executing when this happened?
Comment 2 Josh 2010-04-23 10:57:04 EDT
I believe I was trying to run /bin/su
Comment 3 Josh 2010-04-23 11:12:21 EDT
Confirmed, I ran /bin/su -
Comment 4 Daniel Walsh 2010-04-26 08:54:19 EDT
Fixed in selinux-policy-3.7.19-5
Comment 5 Fedora Update System 2010-04-26 15:51:28 EDT
selinux-policy-3.7.19-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-6.fc13
Comment 6 Fedora Update System 2010-04-27 01:48:43 EDT
selinux-policy-3.7.19-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-6.fc13
Comment 7 Fedora Update System 2010-04-27 23:05:48 EDT
selinux-policy-3.7.19-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.